FactoryGirl.define do
  factory :transaction, class: Bankster::Transaction do
    skip_create

    name            'Max Mustermann'
    iban            'DE123'
    bic             'ASD'
    type            :credit_tansfer
    purpose         'my purpose'
    amount          Money.new(123, "EUR")
    booking_date    Date.today
    valutation_date Date.today
  end

  factory :transaction_api_response, class: Hash do
    skip_create

    name            'Max Mustermann'
    type            'credit_transfer'
    purpose         'my purpose'
    iban            'DE123'
    bic             'ASD'
    amount          {{ 'cents' => "123", 'currency' => "EUR" }}
    booking_date    Date.today.iso8601
    valutation_date Date.today.iso8601

    initialize_with { attributes.stringify_keys }
  end
end
